import * as $dara from '@darabonba/typescript';
import { ActivateRouterInterfaceResponseBody } from "./ActivateRouterInterfaceResponseBody";
export declare class ActivateRouterInterfaceResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ActivateRouterInterfaceResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
